clear;
%addpath for Data;
f=@nmm;
Xmin=[25 85]';
Xmax=[31 105]';
Fs=2000;
Temp=[15 20 25];
Fdat.Tindex=1:3;
X=[];
for j=4
    Fdat.Eindex=j;
    Fdat.dat=[];
    if j==3
        param.nsig=2.5;
    else
        param.nsig=3; 
    end
    for i=Fdat.Tindex
        k=(i-1)*5+j;
        file=sprintf('Temp%i_RatSubject%i.mat',Temp(i),j);
        load(file);
        y=[data(1:60*Fs); data(1+60*Fs:end)]';
        y=y/std(y(:,1));
        y=y(:,1);
        Fdat.dat=[Fdat.dat; isi(y,param.nsig,Fs) quantile(y,0.99)-quantile(y,0.01)];
    end
    param.isCooling=0;
    J=@(x) errfrel(f,x,Fdat,Fs,param);
    Problem.f=J;
    Problem.w=[1 1]; Problem.w=Problem.w/sum(Problem.w);
    [err,x]=DirectK(Problem,[Xmin Xmax]);
    X=[X;x'];
end

        