clear;
%addpath for Data;
f=@nmmphi_2;
Xmin=[1 1 1]';
Xmax=[2 2 2]';
Fs=2000;
Temp=[15 20 25];
param.nsig=3;
Fdat.Tindex=1:3;
Q=csvread('BGPerSubject.csv');
X=[];
for j=5
    Fdat.Eindex=j;
    Fdat.dat=[];
    for i=Fdat.Tindex
        k=(i-1)*5+j;
        file=sprintf('Temp%i_RatSubject%i.mat',Temp(i),j);
        load(file);
        y=[data(1:60*Fs); data(1+60*Fs:end)]';
        y=y/std(y(:,1));
        y=y(1:40*Fs,2);
        Fdat.dat=[Fdat.dat; isi(y,param.nsig,Fs) quantile(y,0.99)-quantile(y,0.01)];
    end
    param.isCooling=1;
    q=Q(j,:);
    J=@(x) errfrel(f,[q(:);x(:)],Fdat,Fs,param);
    Problem.f=J;
    Problem.w=[1 1]; Problem.w=Problem.w/sum(Problem.w);
    [err,x]=DirectK(Problem,[Xmin Xmax]);
    X=[X;x'];
end