function y=errfrel(f,x,Fdat,Fs,param)
    Nruns=10;
    Temp=[15 20 25];
    Fsim=[];
    for j=Fdat.Eindex
        for i=Fdat.Tindex
            Fsim_n=0;
            rng('default');
            seed=randi([0,123456789],Nruns,1);
            for n=1:Nruns
                if ~param.isCooling
                    u=f(x,seed(n),Fs);
                    F=[isi(u,param.nsig,Fs) quantile(u,0.99)-quantile(u,0.01)];
                else
                    u=f(x,Temp(i),seed(n),Fs);
                    F=[isi(u(1:40*Fs,2),param.nsig,Fs) quantile(u(1:40*Fs,2),0.99)-quantile(u(1:40*Fs,2),0.01)];
                end
                Fsim_n=Fsim_n+F;
            end
            Fsim=[Fsim; Fsim_n/Nruns];
        end
    end    
    y=abs(Fsim-Fdat.dat)./Fdat.dat;
    y=100*sum(y,1)/size(Fdat.dat,1);
    if ~param.isCooling
        y=[y 0];
    else
        y=[y max(0,min(u(:,1))-min(u(1:40*Fs,2)))+max(0,max(u(1:40*Fs,2))-max(u(:,1)))];
        
    end